package com.ningdatech.kqapi.common.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author liuxinxin
 * @date 2022/11/23 下午4:32
 * 系统角色
 */
@Getter
@AllArgsConstructor
public enum RoleEnum {

    engineer("工程师"),
    project_manager("项目经理"),
    project_leader("项目负责人"),
    enterprise_admin("企业管理员"),
    regional_general_manager("地区总经理"),
    driver("驾驶员"),
    super_admin("超级管理员"),
    driver_admin("车管员");

    private final String displayName;

    public boolean eq(String name) {
        return this.name().equals(name);
    }

}
