package com.ningdatech.kqapi.user.model.vo;

import com.ningdatech.kqapi.common.enumeration.RoleEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * ResUserBasicInfoVO
 * </p>
 *
 * @author WendyYang
 * @since 10:30 2024/4/20
 */
@Data
@ApiModel("用户基本信息")
public class UserBasicInfoVO {

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("角色")
    private RoleEnum role;

    @ApiModelProperty("角色名称")
    private String roleName;

    @ApiModelProperty("用户真实姓名")
    private String realName;

}
